def oops():
    raise IndexError()

def doomed():
    try:
        oops()
    except IndexError:
        print('przechwycono błąd indeksu!')
    else:
        print('nie przechwycono żadnego błędu...')

if __name__ == '__main__': doomed()

